<%@page import = "com.ibm.nex.core.util.OptimSystemPropertyConstants" %>
<%
    boolean isEmbedded = false;
    String isBrowserLaunchedFromDesigner = "false";
    boolean shouldManagerBeDisplayed = false;
    String embeddedString = System.getProperty(OptimSystemPropertyConstants.ECLIPSE_PROUCT);
    if (embeddedString != null && embeddedString.equalsIgnoreCase("com.ibm.nex.designer.ui.Designer")) {
        isEmbedded = true;
        isBrowserLaunchedFromDesigner = System.getProperty(OptimSystemPropertyConstants.BROWSER_LAUNCHED_FROM_DESIGNER);
        System.clearProperty(OptimSystemPropertyConstants.BROWSER_LAUNCHED_FROM_DESIGNER);
        
        if(isEmbedded && (isBrowserLaunchedFromDesigner == null || (isBrowserLaunchedFromDesigner != null && !isBrowserLaunchedFromDesigner.equalsIgnoreCase("true")))){
            response.sendRedirect(request.getContextPath() + "/designer/UnAuthorizedToRun.html");
        }
    }
    
    boolean isInternalBrowser = false;
    String internalBrowser = System.getProperty(OptimSystemPropertyConstants.EM_INTERNAL_BROWSER);
    if (internalBrowser != null && internalBrowser.equalsIgnoreCase("true")) {
        isInternalBrowser = true;
    }

    boolean isLoggingEnabled = false;    
    String enableLogging = System.getProperty(OptimSystemPropertyConstants.BROWSER_ENABLE_LOGGING);
    if (enableLogging != null && enableLogging.equalsIgnoreCase("true")) {
        isLoggingEnabled = true;
    }
    
    // This property must be set - see WebSocketUpdateServerThread.
    String updateServerPort = System.getProperty(OptimSystemPropertyConstants.CONSOLE_WEBSOCKET_UPDATE_PORT);
        
    String serviceId =  request.getParameter("serviceId");
%>
<html>
    <head>
        <title>Optim Manager</title>
        <style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style>
        <script>
            function load() {
                sessionStorage.removeItem("isInternalBrowser");
                sessionStorage.removeItem("isLoggingEnabled");
                sessionStorage.removeItem("isEmbedded");
                sessionStorage.removeItem("lastLocationClicked");
                sessionStorage.removeItem("serviceId");
                sessionStorage.removeItem("updateServerPort");
                var contextRoot = "<%=request.getContextPath()%>";
                var isEmbedded = <%=isEmbedded%>;
                if(isEmbedded === true || isEmbedded === 'true'){
                    sessionStorage.setItem("isEmbedded", isEmbedded);
                }

                var isInternalBrowser = <%=isInternalBrowser%>;
                if(isInternalBrowser == true || isInternalBrowser == 'true'){
                    sessionStorage.setItem("isInternalBrowser", isInternalBrowser);
                }

                var isLoggingEnabled = <%=isLoggingEnabled%>;
                if(isLoggingEnabled == true || isLoggingEnabled == 'true'){
                    sessionStorage.setItem("isLoggingEnabled", isLoggingEnabled);
                }
	
                var serviceId = "<%=serviceId%>";
                if(serviceId !== "null" && serviceId !== "undefined"){
                    sessionStorage.setItem("serviceId", serviceId);
                }

                sessionStorage.setItem("lastLocationClicked", "/serviceManagement");

                var updateServerPort = "<%=updateServerPort%>";
                sessionStorage.setItem("updateServerPort", updateServerPort);

                window.location = contextRoot + "/designer/index.html";
            }
        </script> 
    </head>
    <body onload="load()">
    </body>
</html>

